Page MenuHomePhabricator

Enable FlaggedRevs custom configuration on Hungarian Wikipedia
Closed, ResolvedPublic

Description

Please enable FlaggedRevs on Hungarian Wikipedia with the following configuration:

  • 1 parameter with 3 levels (none/sighted/featured)
  • Simple UI without tabs
  • Only show the message box on pages that have at least one flagged revision (is this possible? I couldn't find any corresponding configuration setting)
  • Display latest flagged (sighted or featured) version to anons, current version to users
  • Flag articles, templates, images and portals; no patrolling; feedback on articles
  • Sysops can validate; sysops and editors can sight; confirmed users (a new user group) can autoreview; everyone can give feedback
  • Bueraucrats can add/remove from editor and confirmed groups; no autopromote
  • Review changes on save, autoreview changes and new pages, reviewers can comment

Relevant community discussion & vote:
http://hu.wikipedia.org/wiki/Wikip%C3%A9dia:Szavaz%C3%A1s/Jel%C3%B6lt_lapv%C3%A1ltozatok_bevezet%C3%A9se

(hopefully :) corresponding configuration settings:

UI

$wgSimpleFlaggedRevsUI = true;
$wgFlaggedRevTabs = false;
$wgFlaggedRevsLowProfile = false;
$wgFlaggedRevsOverride = true;
$wgFlaggedRevsPrecedence = false;

workflow

$wgReviewChangesAfterEdit = true;
$wgFlaggedRevsAutoReview = true;
$wgFlaggedRevsAutoReviewNew = true;

namespaces

$wgFlaggedRevsNamespaces = array( NS_MAIN, NS_IMAGE, NS_TEMPLATE, 100 ); # 100 = Portal
$wgFlaggedRevsPatrolNamespaces = array( );
$wgFeedbackNamespaces = array( NS_MAIN );

levels

$wgFlaggedRevValues = 2; none, sighted, featured
$wgFlaggedRevTags = array( 'accuracy'=>2 );
quality == featured
$wgFlagRestrictions = array(

'accuracy' => array( 'review' => 1 ),

);
$wgFlaggedRevsFeedbackTags = array( 'reliability' => 3, 'completeness' => 2, 'npov' => 2, 'presentation' => 1 );

reviewers

$wgFlaggedRevsComments = true;
$wgGroupPermissions['editor']['rollback'] = true;
$wgGroupPermissions['sysop']['validate'] = true;
$wgGroupPermissions['sysop']['review'] = true;
$wgGroupPermissions['sysop']['autoreview'] = true;
$wgGroupPermissions['sysop']['stablesettings'] = true;
unset($wgGroupPermissions['reviewer']);

non-reviewers

$wgFlaggedRevsExceptions = array( 'user' );
$wgGroupPermissions['*']['feedback'] = true;
$wgGroupPermissions['confirmed']['autoreview'] = true;
$wgGroupPermissions['confirmed']['autopatrolother'] = true;
$wgGroupPermissions['autoconfirmed']['movestable'] = true;

rights management

$wgAddGroups['bureaucrat'][] = 'editor';
$wgRemoveGroups['bureaucrat'][] = 'editor';
$wgAddGroups['bureaucrat'][] = 'confirmed';
$wgRemoveGroups['bureaucrat'][] = 'confirmed';
if (is_array($wgAddGroups['sysop']))

unset($wgAddGroups['sysop'][array_search('editor', $wgAddGroups['sysop'])]);

if (is_array($wgRemoveGroups['sysop']))

unset($wgRemoveGroups['sysop'][array_search('editor', $wgRemoveGroups['sysop'])]);

$wgFlaggedRevsAutopromote = false;


Version: unspecified
Severity: enhancement

Details

Reference
bz15568

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:18 PM
bzimport set Reference to bz15568.
Tgr created this task.Sep 11 2008, 9:24 PM
RobH added a comment.Nov 17 2008, 6:13 PM

I have gone ahead and enabled flaggedrevs for huwiki with the below custom settings. If there are any issues, please do not hesitate to re-open this ticket.

Thanks!

(In reply to comment #0)

Please enable FlaggedRevs on Hungarian Wikipedia with the following
configuration:

  • 1 parameter with 3 levels (none/sighted/featured)
  • Simple UI without tabs
  • Only show the message box on pages that have at least one flagged revision

(is this possible? I couldn't find any corresponding configuration setting)

  • Display latest flagged (sighted or featured) version to anons, current

version to users

  • Flag articles, templates, images and portals; no patrolling; feedback on

articles

  • Sysops can validate; sysops and editors can sight; confirmed users (a new

user group) can autoreview; everyone can give feedback

  • Bueraucrats can add/remove from editor and confirmed groups; no autopromote
  • Review changes on save, autoreview changes and new pages, reviewers can

comment
Relevant community discussion & vote:
http://hu.wikipedia.org/wiki/Wikip%C3%A9dia:Szavaz%C3%A1s/Jel%C3%B6lt_lapv%C3%A1ltozatok_bevezet%C3%A9se
(hopefully :) corresponding configuration settings:

UI

$wgSimpleFlaggedRevsUI = true;
$wgFlaggedRevTabs = false;
$wgFlaggedRevsLowProfile = false;
$wgFlaggedRevsOverride = true;
$wgFlaggedRevsPrecedence = false;

workflow

$wgReviewChangesAfterEdit = true;
$wgFlaggedRevsAutoReview = true;
$wgFlaggedRevsAutoReviewNew = true;

namespaces

$wgFlaggedRevsNamespaces = array( NS_MAIN, NS_IMAGE, NS_TEMPLATE, 100 ); # 100

Portal

$wgFlaggedRevsPatrolNamespaces = array( );
$wgFeedbackNamespaces = array( NS_MAIN );

levels

$wgFlaggedRevValues = 2; none, sighted, featured
$wgFlaggedRevTags = array( 'accuracy'=>2 );
quality == featured
$wgFlagRestrictions = array(

'accuracy' => array( 'review' => 1 ),

);
$wgFlaggedRevsFeedbackTags = array( 'reliability' => 3, 'completeness' => 2,
'npov' => 2, 'presentation' => 1 );

reviewers

$wgFlaggedRevsComments = true;
$wgGroupPermissions['editor']['rollback'] = true;
$wgGroupPermissions['sysop']['validate'] = true;
$wgGroupPermissions['sysop']['review'] = true;
$wgGroupPermissions['sysop']['autoreview'] = true;
$wgGroupPermissions['sysop']['stablesettings'] = true;
unset($wgGroupPermissions['reviewer']);

non-reviewers

$wgFlaggedRevsExceptions = array( 'user' );
$wgGroupPermissions['*']['feedback'] = true;
$wgGroupPermissions['confirmed']['autoreview'] = true;
$wgGroupPermissions['confirmed']['autopatrolother'] = true;
$wgGroupPermissions['autoconfirmed']['movestable'] = true;

rights management

$wgAddGroups['bureaucrat'][] = 'editor';
$wgRemoveGroups['bureaucrat'][] = 'editor';
$wgAddGroups['bureaucrat'][] = 'confirmed';
$wgRemoveGroups['bureaucrat'][] = 'confirmed';
if (is_array($wgAddGroups['sysop']))

unset($wgAddGroups['sysop'][array_search('editor',

$wgAddGroups['sysop'])]);
if (is_array($wgRemoveGroups['sysop']))

unset($wgRemoveGroups['sysop'][array_search('editor',

$wgRemoveGroups['sysop'])]);
$wgFlaggedRevsAutopromote = false;

Tgr added a comment.Nov 19 2008, 3:11 PM

Thanks! Two more things: please delete the 'patroller' group (obsoleted by 'editor'; all users have been removed from it), and grant the 'unreviewedpages' right to sysops.

RobH added a comment.Nov 24 2008, 8:26 PM

Not quite sure how to do both of these without causing possible issues. I will check with Brion later today and get it figured out, will keep you updated.

RobH added a comment.Nov 24 2008, 9:41 PM

the patroller group is now gone and unreviewedpages has been added to the sysops rights. If there is anything else, just let me know.

Thanks!

Tgr added a comment.Nov 24 2008, 11:38 PM

Thanks again! Could you please give 'patrolmarks' to the sysops too? Sorry, this seems to be the last one :-)

Also, could you remove the 'patroller' group from the $wgAddGroups/$wgRemoveGroups arrays for bureaucrats? It doesn't have much effect, but it shows up on the Special:Listgrouprights page, and looks a bit confusing because we gave the 'editor' group the same local name.

RobH added a comment.Nov 25 2008, 3:50 PM

The requested changes have been made.

Samat added a comment.Nov 25 2008, 3:58 PM

It works perfectly. Thank you!

Tgr added a comment.Jun 15 2009, 1:45 PM

Please give autoreview right to bots. (This was the default setting until recently; IMO removing it was a bad idea.)

Tgr added a comment.Jun 15 2009, 2:06 PM

Might be caused by bug 19206 or bug 19207.

Tgr added a comment.Jun 15 2009, 2:34 PM

Also, $wgFlaggedRevsPatrolNamespaces = array( ); seems to have no effect, the patrol marks still show up in the article space. Another FlagRev bug, maybe?

Tgr added a comment.Jun 15 2009, 6:42 PM

Also, please remove the line with the autopatrolother right; that right was apparently removed in r48116, and huwiki doesn't use the old patrolling feature anyway.

Tgr added a comment.Jun 16 2009, 5:23 PM

(In reply to comment #8)

Please also add review right to bots as a temporary workaround (see https://bugzilla.wikimedia.org/show_bug.cgi?id=19207#c10 ); manually sighting their edits is a lot of unnecessary work, even in short term.

Tgr added a comment.Jun 17 2009, 12:05 PM

With bug 19207 fixed, much of the above is obsolete so I'll summarize what is not:

please replace
$wgGroupPermissions['confirmed']['autopatrolother'] = true;
with
$wgGroupPermissions['confirmed']['autopatrol'] = true;

also, please add
$wgGroupPermissions['bot']['autoreview'] = true;
(if only for aesthetic reasons - bots receive special treatment from FlaggedRevs anyway, but this makes Special:ListGroupRights more informative.)

RobH added a comment.Jun 18 2009, 2:46 PM

Changes have been made and pushed live to the project. If there are any other questions or concerns, please let me know.